<?php
if(!isset($_SESSION)) 
{ 
session_start(); 
} 
if(!isset($_SESSION['is_login']) ){
header("location: login.php");
?>
<script>
window.location="login.php";
</script>
<?php
}

// $permission  = explode(',',$_SESSION['permission_id']);
// if(!in_array(19,$permission) && !in_array(1,$permission)  ){

// $op['is_success'] = false;
// $op['data'] 	  = "عذرا انت غير مخول للوصل الى هذه الصفحة";
// echo json_encode($op);
// exit;

// }

date_default_timezone_set($_SESSION['SYSTimezone']);

	$Validator = array('is_success'=>false, 'data'=>array());
if (isset($_POST['type']) || isset($_GET['type'])){
		require_once "db_connect.php";

		if( isset($_GET['type']) && ($_GET['type'] == "load")){

			$cond = isset($_GET['typ'])? ' AND customer_type='.$_GET['typ']:'';

			// DB table to use
			$table = 'employe';
			// Table's primary key
			$primaryKey = 'employe_id';
			$columns =  array(
				  			  	array( 'db' => 'employe_id', 'dt' => 0 ),
			    				array( 'db' => 'employe_full_name', 'dt' => 1 ),
			    				array( 'db' => 'employe_race',  'dt' => 2 ),
			    				array( 'db' => 'employe_position',   'dt' => 3 ),
								array( 'db' => 'employe_phone',   'dt' => 4 ),
								array( 'db' => 'employe_address',   'dt' => 5 ),
								// array( 'db' => 'employe_monthly_salary',   'dt' => 6 ),
								array( 'db' => 'employe_note',   'dt' => 6 ,  ),
								array( 'db' => 'group_color',   'dt' => 7 ),
								array( 'db' => 'employe_email',   'dt' => 8 ),

			);
			// SQL server connection information
			$sql_details = array(
			    'user' => $mysql_user,
			    'pass' => $mysql_password,
			    'db'   => $mysql_db,
			    'host' => $mysql_server
			);
			require( 'ssp.class.php' );
			echo json_encode(
			    SSP::complex( $_GET, $sql_details, $table, $primaryKey, $columns ,null, " is_deleted=0 ". $cond )
			);
			exit;
		}

		if ($_POST['type']=="get") {

			//$user_id = $_POST['cusid'];

			$res = $db->query("SELECT * FROM employe WHERE is_deleted = 0");
			if ($res) {
				$op  = array();
				while ($row = $res->fetch_assoc()) {
				    // do what you need.
						$result[0] = $row['employe_id'];
						$result[1] = $row['employe_full_name'];
						
						
						array_push($op,$result);
				}
				echo json_encode($op);
				exit;
			}else{
				echo 0;
				exit;
			}
		}

		if ($_POST['type']=="get_Customer") {

			$cust_typ = $_POST['cust_typ'];

			$res = $db->query("SELECT * FROM customer WHERE is_deleted = 0 AND customer_type = '$cust_typ'");
			if ($res) {
				$op  = array();
				while ($row = $res->fetch_assoc()) {
				    // do what you need.
						$result[0] = $row['customer_id'];
						$result[1] = $row['customer_full_name'];
						$result[2] = $row['customer_phone'];
						$result[3] = $row['customer_email'];
						$result[4] = $row['customer_company'];
						$result[5] = $row['allowed_max_money'];
						array_push($op,$result);
				}
				echo json_encode($op);
				exit;
			}else{
				echo 0;
				exit;
			}
		}

		

		

		if ($_POST['type'] == "update") {

			$id 				= $_POST['obj_id'];
			$employe_full_name			=addslashes($_POST["employe_full_name"]);
            $employe_race				=addslashes($_POST["employe_race"]);
            $employe_position			=addslashes($_POST["employe_position"]);
            $employe_phone				=addslashes($_POST["employe_phone"]);
            $employe_email				=addslashes($_POST["employe_email"]);
            $employe_address			=addslashes($_POST["employe_address"]);
            $employe_monthly_salary		=addslashes($_POST["employe_monthly_salary"]);
            $employe_note				=addslashes($_POST["employe_note"]);
            $group_color				=addslashes($_POST["group_color"]);
			

			$reg_date = date("Y-m-d h:i:s", time());
			
			$lastaction = "Update Employe";

			$res = $db->query("SELECT * FROM employe WHERE employe_full_name = '$employe_full_name' AND employe_id != $id");
			if (mysqli_num_rows($res)>0) {
				$error= "خطأ الاسم مكرر";
				$State=false;
				$Validator['is_success'] = $State;
				$Validator['data'] = $error;
				echo json_encode($Validator);
				exit;
			}

			$update_qry = "UPDATE employe SET  employe_full_name = '$employe_full_name',
											 	employe_race='$employe_race', 
											 	employe_position='$employe_position',
											 	employe_phone='$employe_phone', 
											 	employe_email='$employe_email', 
											 	employe_address='$employe_address',
											 	employe_monthly_salary='$employe_monthly_salary',
											 	employe_note='$employe_note',
											 	group_color='$group_color',
											 	updated_at='$reg_date',
											 	last_action='$lastaction',
											 	last_action_by='".$_SESSION['user_id']."' 
								WHERE employe_id = $id";


			$res = $db->query($update_qry);
			if ($res) {
				$error= "تمت عملية التحديث بنجاح";
				$State=true;
				$Validator['is_success'] = $State;
				$Validator['data'] = $error;
				echo json_encode($Validator);
				exit;
			}
			else{
				$error= "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
				$State=false;
				$Validator['is_success'] = $State;
				$Validator['data'] = $error;
				echo json_encode($Validator);
				exit;
			}
		}


		if ($_POST['type']=="delete") {
			$id=addslashes($_POST["obj_id"]);
			$reg_date = date("Y-m-d h:i:s", time());
			$lastaction = "Delete Customer";

			$res = $db->query("SELECT * FROM work_hours WHERE employe_id_fk = '$id' AND is_deleted=0");
			if (mysqli_num_rows($res)>0) {
				
				echo "لا يمكن حذف هذا الزبون فلديه وصولات بيع باسمه";
				exit;
			}

	      	$res = $db->query("UPDATE employe SET is_deleted = 1 ,deleted_at = '$reg_date',last_action='$lastaction',last_action_by='".$_SESSION['user_id']."' WHERE employe_id=$id");
	     	if ($res){
	     		echo 1;
	     		exit;
	     	}
	      	else{
		      	echo "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
		      	exit;
	     	}
		}

		if ($_POST['type'] == "create") {
            
            $employe_full_name			=addslashes($_POST["employe_full_name"]);
            $employe_race				=addslashes($_POST["employe_race"]);
            $employe_position			=addslashes($_POST["employe_position"]);
            $employe_phone				=addslashes($_POST["employe_phone"]);
            $employe_email				=addslashes($_POST["employe_email"]);
            $employe_address			=addslashes($_POST["employe_address"]);
            $employe_monthly_salary		=addslashes($_POST["employe_monthly_salary"]);
            $employe_note				=addslashes($_POST["employe_note"]);
            $group_color				=addslashes($_POST["group_color"]);
			
			$res = $db->query("SELECT * FROM employe WHERE employe_full_name = '$employe_full_name' AND is_deleted=0");

			if (mysqli_num_rows($res)>0) {
				$error= "خطأ الاسم مكرر";
				$State=false;
				$Validator['is_success'] = $State;
				$Validator['data'] = $error;
				echo json_encode($Validator);
				exit;
			}
							
			$delete = 0;
			$reg_date = date("Y-m-d h:i:s", time());
			$lastaction = "Create New Employe";

			$sql ="INSERT INTO employe(employe_full_name,
										employe_race,
										employe_position,
										employe_phone,
										employe_email,
										employe_address,
										employe_monthly_salary,
										employe_note,
										group_color,
										created_by,
										created_at,
										updated_at,
										last_action,
										last_action_by)
								VALUES('$employe_full_name',
									   '$employe_race',
									   '$employe_position',
									   '$employe_phone',
									   '$employe_email',
									   '$employe_address',
									   '$employe_monthly_salary',
									   '$employe_note',
									   '$group_color',
									   '".$_SESSION['user_id']."',
									   '$reg_date',
									   '$reg_date',
									   '$lastaction',
									   '".$_SESSION['user_id']."')";

			$res = $db->query($sql);
			if ($res) {
				$error= "تمت عملية الاضافة بنجاح";
				$State=true;
				$Validator['is_success'] = $State;
				$Validator['data'] = $error;
				echo json_encode($Validator);
				exit;
			}else{
				$error= "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
				$State=false;
				$Validator['is_success'] = $State;
				$Validator['data'] = $error;
				echo json_encode($Validator);
				exit;
			}
						

		}
	}
	else{
		header("Location:../");
		exit;
	}
?>

